package com.grack.hdcp;

public class HdcpDevice {
	private SecretKey secretKey;

	private PublicKey publicKey;

	private HdcpSystem system;

	public HdcpDevice(HdcpSystem system, SecretKey secretKey, PublicKey publicKey) {
		super();

		this.publicKey = publicKey;
		this.secretKey = secretKey;
		this.system = system;
	}

	public long calculateKey(PublicKey otherPublicKey) {
		return secretKey.calculateKey(otherPublicKey);
	}

	public PublicKey getPublicKey() {
		return publicKey;
	}
	
	public SecretKey getSecretKey() {
		return secretKey;
	}
	
	public String toString() {
		return "public key: " + publicKey + ", secret key: " + secretKey;
	}
	
	public boolean equals(Object other) {
		HdcpDevice device = (HdcpDevice) other;
		return device.publicKey.equals(publicKey) && device.secretKey.equals(secretKey);
	}
}
